Skip to main content
GET
/
automation
/
v4
/
sequences
/
enrollments
/
contact
/
{contactId}
Retrieve the enrollment status of a contact
curl --request GET \
  --url https://api.hubapi.com/automation/v4/sequences/enrollments/contact/{contactId} \
  --header 'Authorization: Bearer <token>'
{
  "enrolledAt": "2023-11-07T05:31:56Z",
  "enrolledBy": "<string>",
  "enrolledByEmail": "<string>",
  "id": "<string>",
  "sequenceId": "<string>",
  "sequenceName": "<string>",
  "toEmail": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

contactId
string
required

Response

successful operation

enrolledAt
string<date-time>
required

The date and time when the contact was enrolled in the sequence.

enrolledBy
string
required

The identifier of the user who enrolled the contact in the sequence.

enrolledByEmail
string
required

The email address of the user who enrolled the contact in the sequence.

id
string
required

The unique identifier for the sequence enrollment.

sequenceId
string
required

The unique identifier of the sequence in which the contact is enrolled.

sequenceName
string
required

The name of the sequence in which the contact is enrolled.

toEmail
string
required

The email address of the contact enrolled in the sequence.

updatedAt
string<date-time>
required

The date and time when the sequence enrollment was last updated.

Last modified on March 30, 2026